/*
  Use of this code is subject to the terms of the Phase 1 Cosm License.
  Any other use of this code violates the terms of the license.
*/

/* CPU/OS Layer - CPU and OS specific code is allowed */

#ifndef V3_COSMGUI_H
#define V3_COSMGUI_H

#include "cputypes.h"
#if ( defined( WITH_GUI ) )
#if ( OS_TYPE == OS_WIN32 )
#include <windows.h>
#include <gl/gl.h>
#include <gl/glu.h>
#else
#error "No OpenGL/GLU available, -DWITH_GUI not valid, - see cosmgui.h"
#endif
#endif

/* testing */

s32 v3_TestCosmGUI( void );
  /*
    Test functions in this header.
    Returns: V3_PASS on success, or a negative number corresponding to the
      test that failed.
  */

#endif
